package com.isu.gaswellwatch.modbus.data;

/**
 * 数据持久化处理器
 *
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2024/11/23 11:53
 */
public interface PersistenceHandler {
    String KNPCV1_MODBUS_TYPE = "knpc";
    String ETC_MODBUS_TYPE = "etc";
    String SCSS_MODBUS_TYPE = "scss";
    String DEVICE_INFO_CACHE = "info:device:";
    String DEVICE_DATA_CACHE = "data:device:";

    void createTable(String tableName, Long deviceId);

    void insert(String tableName, String cacheKey);

}
