package com.isu.gaswellwatch.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.Department;
import com.isu.gaswellwatch.entity.Device;
import com.isu.gaswellwatch.vo.DepartmentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface DeviceDao extends BaseMapper<Device> {

    Page<Device> page(Page<Object> page,
                            @Param("gasWellName") String gasWellName,
                            @Param("gasStationName") String gasStationName,
                            @Param("deviceTypeId") Long deviceTypeId);


}

