package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.dto.DepartmentDTO;
import com.isu.gaswellwatch.dto.DepartmentEditDTO;
import com.isu.gaswellwatch.dto.DeviceCreateDTO;
import com.isu.gaswellwatch.dto.DeviceEditDTO;
import com.isu.gaswellwatch.entity.Device;

public interface DeviceService extends IService<Device> {

    Page<Device> page(Integer currentPage, Integer pageSize, String gasWellName, String gasStationName, Long deviceTypeId);

    void add(DeviceCreateDTO deviceCreateDTO);

    void edit(DeviceEditDTO deviceEditDTO);

    void delete(Long id);

    Device getDevice(Long id);

    void getDeviceControlData(Long id);

    void getDeviceHistoryData(Long id);

    void getDeviceLogData(Long id);
}

